Subject: Re: [bug#60448] [PATCH 0/6] gnu: po4a: Update to 0.68
From: Julien Lepiller <[email-masked]>
To: gemmaro <[email-masked]>
Cc: [email-masked]
Date: Tue, 3 Jan 2023 21:27:31 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Pushed to master as 62ee1c4b47c6e1e62314223d62a5d54162a23fa8 -
a1f9eba892784069e34338e01237a74b8a3bd8a2, thank you!

I made some changes, but the series was really good overall! The main
change is that I integrated your copyright to the first patch that
modified the file.

I've left updating the process to later. We'll want to do it though,
the new interface looks really cool for our use-case, especially
because it supports using a single pot for multiple files (think
guix.texi and contributing.texi that currently raise a warning).

I'm happy to help if you want to try, otherwise I'll probably do it
sometime :)

Le Sat, 31 Dec 2022 14:56:13 +0900,
gemmaro <[email-masked]> a écrit :

> Hello Guix,
> 
> This patch updates po4a to 0.68.  It also includes additional
> dependencies required with the update.
> 
> I have tried running "make as-derivation" with the following
> suggestion.  Then I observed warnings that po4a should be used
> instead of po4a-translate.  I don't think there were any other errors
> related to po4a.
> https://lists.gnu.org/archive/html/guix-patches/2021-07/msg00030.html
> 
> Another side effect that comes to mind is that if the po4a parser has
> changed, it is possible that some of the entries in the translations
> will be fuzzy.
> 
> I wrote this patch for my personal Markdown translation needs.  And
> it appears to be working well for this format.
> 
> Regards,
> gemmaro
> 
> gemmaro (6):
>   gnu: Add perl-text-charwidth
>   gnu: Add perl-xs-parse-keyword
>   gnu: Add perl-text-wrapi18n
>   gnu: Add perl-syntax-keyword-try
>   gnu: po4a: Update to 0.68
>   Update copyright
> 
>  gnu/packages/gettext.scm | 49 +++++++++++---------
>  gnu/packages/perl.scm    | 96
> ++++++++++++++++++++++++++++++++++++++++ 2 files changed, 125
> insertions(+), 20 deletions(-)
> 
> 
> base-commit: 8e883dc8210d4a7c3f09961994685ed54942fd73